Jump to content
OsnaGimp

[gelöst] GermaNext Versions und installations Fragen

Recommended Posts

Hallo,

 

ich hoffe ich habe

a. das richtige Forum

b. das nötige Recht

 

hier meine Fragen bzgl. dem GermaNext Modul los zu werden :)

 

Undzwar wüsste ich gerne, wie (stand jetzt) die Zusammensetzung der Versionen ist.

 

Prestashop 1.5.5 mit dem aktuellen GermaNext 1.5.5 oder ist das nicht empfehlenswert und sollte lieber die 1.5.4.1 nehmen ?

 

Bei der Installation von (1.5.4.1 und dem instalieren des Moduls 1.5.4) bekomme ich dieFehlermeldung:

 

Das folgende Modul konnte nicht installiert werden:

    - germanext :
    Failed to copy file: /is/htdocs/xxxxxxxxxxxxx/www/modules/germanext/install/copy/classes/Autoload.php -> /is/htdocs/xxxxxxxxxxxx/www/classes/Autoload.php
    Failed to copy file: /is/htdocs/xxxxxxxxxxx/www/modules/germanext/install/copy/classes/PaymentCost.php -> /is/htdocs/xxxxxxxxxxx/www/classes/PaymentCost.php
    The module is not installed.

 

Allerdings bekomme ich das Problem trotz 777 bzw. 770 leider nicht in den Griff.

 

Ich würde mich freuen, wenn mir jemand auf meine Fragen antworten könnte.

 

 

Herzlichen Dank

 

Gruss Jens

Share this post


Link to post
Share on other sites

 

Prestashop 1.5.5 mit dem aktuellen GermaNext 1.5.5 oder ist das nicht empfehlenswert und sollte lieber die 1.5.4.1 nehmen ?

 

 

Die Versionen müssen identisch sein. 

 

Bei der Installation von (1.5.4.1 und dem instalieren des Moduls 1.5.4) bekomme ich dieFehlermeldung:

 

Das folgende Modul konnte nicht installiert werden:

 

    - germanext :

    Failed to copy file: /is/htdocs/xxxxxxxxxxxxx/www/modules/germanext/install/copy/classes/Autoload.php -> /is/htdocs/xxxxxxxxxxxx/www/classes/Autoload.php

    Failed to copy file: /is/htdocs/xxxxxxxxxxx/www/modules/germanext/install/copy/classes/PaymentCost.php -> /is/htdocs/xxxxxxxxxxx/www/classes/PaymentCost.php

    The module is not installed.

 

Allerdings bekomme ich das Problem trotz 777 bzw. 770 leider nicht in den Griff.

 

 

Das liegt eindeutig an fehlenden Rechtenvergabe. Dieses Problem entfällt, wenn Apache in FastCGI Modus läuft. Entweder unter Hosting-Einstellungen ändern oder Provider fragen.

 

Grüße

Share this post


Link to post
Share on other sites

Hallo und danke für die Ratschläge.

 

Ich habe mit HostEurope kontakt aufgenommen und lt. deren Aussage haben die irgendwas abgeändert.

Dennoch kann ich germaNext nicht instalieren.

 

Nun hab ich ehrlichgesagt die Nase voll und denke, das ich einen anderen Hoster nehmen werde.

 

Ist SSD zu empfehlen ?

Oder gibt es was ähnlich (günstiges) ?

 

gruss Jens

Share this post


Link to post
Share on other sites

Sooo.... Komando zurück.

 

Der Fehler war, das ich nicht den haupt FTP eingang gewählt habe.

Klingt komisch, ist aber so :)

Share this post


Link to post
Share on other sites

Hallo ,

 

ich habe PS 1.5.5 installiert und direkt danach germanext 1.5.5 über reiter Module, neues modul hinzufügen hoch geladen,

PS bestätigt mit modul geladen (grün),

dann wollte ich wie in der install.txt von germanext beschrieben,

das schon geladene modul installieren,

jedoch finde ich in der modulliste kein germanext 1.5.5 was ich installieren könnte.

 

was mache ich falsch ?

 

oder ist durch das hochladen (modul geladen) schon germanext automatisch installiert

 

ich habe dreimal PS neu installiert bzw germanext 1.5.5 neu geladen, jedesmal das gleiche,

in der gesamt modulliste ist germanext nicht auffindbar :-((

 

auch ändert sich nach dem erfolgreichen laden des germanext moduls, die gesamtanzahl der module nicht von 114 auf 115

 

hat schon jemand erfahrungen und kann mir eventuell helfen

 

 

 

edit:

sorry habe die Lösung hier im Forum gefunden

http://www.prestashop.com/forums/topic/264607-gelost-germanext154-masterzip-erscheint-nach-upload-nicht-in-modulliste/

 

damit der zusammenhang bleibt, hier nochmal im kurzen

 

die von Github geladene datei  "germanext1.5.5-master.zip" manuell entpacken,

 

den nun vorliegenden ordner "germanext1.5.5-master" umbennenen in "germanext",

und wieder in eine zip datei packen "germanext.zip"

 

diese germanext.zip datei ist bei mir geladen worden, und ist danach auch in der modulliste auffindbar,

auch die installation ging danach ohne probleme ;-))

Edited by easymik (see edit history)

Share this post


Link to post
Share on other sites

reine zeitverschwendung, funktioniert doch alles gar nicht! jedenfalls nicht bei mir- ich hab langsam die nase voll. sehe mir jetzt  einfach mal magento an

Edited by Woswasi (see edit history)

Share this post


Link to post
Share on other sites

@Woswasi: naja,

 

1. prestashopfähigen server nehmen

2. germanext installieren

3. produkte einpflegen

4. loslegen

 

ist ja gar nicht sooo schwieirig. Außerdem gibt es bei Magento exakt die gleiche Problematik: mehrere Lösungen, die ber alle nicht im Core sind und mühsam draufgepackt werden müssen. Ob das alleine das Entscheidungskriterium ist würd ich mir überlegen

 

Gruß

Share this post


Link to post
Share on other sites

@PrestaShop Addict:

 

Ja, ist eh alles in Ordnung! Als Anfänger ist das alles halt nicht so einfach für mich - ich werke erst seit ca. 3-4 Wochen in diesem Bereich.

 

Letztendlich habe ich aber den Weg über die "[FIX]1-Button-Lösung AB PS 1.5.3.1" gewählt, warum weiß ich jetzt nicht mehr, wahrscheinlich einfach trial-error. Auch damit hatte ich ziemliche Schwierigkeiten, aber nach langem Suchen im Forum fand ich den sachdienlichen Hinweis zur Lösung:-)

Allgemein muß ich jedenfalls sagen, ich finde Prestashop bisher echt superklasse! Ich betreibe einen von Programmierern von Null weg aufgebauten Online-Shop und sehe, daß bei Presta einfach schon viele nützliche Funktionen und Moduls vorhanden sind - easybeasy! Ich finde Presta kann echt was! Mit der Korrektur der Shopping Cart Funtkion paßt das meiner Meinung nach jetzt auch für die strengen deutschen Onlineverkaufsgesetze!

 

 

 

Share this post


Link to post
Share on other sites

Du kannst dir auch die hier im Forum geposteten Fixe für DE einbauen und alles ist Paletti. Diese haben eine sehr einfache und detaillierte Anleitung für Noobies.

http://www.prestashop.com/forums/topic/235587-anforderungen-an-deutsches-recht-eine-ubersicht/?view=findpost&p=1174139

 

Es ist nicht nötig zu Magento zu wechseln, der einen sehr speziellen Webspace benötigt, also mehr Serverressourcen als Prestashop. ;)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More